package es.verdnatura.presentation.view.feature.delivery.viewmodels

import android.content.Context
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import es.verdnatura.db.DeliveryDatabase
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.view.feature.delivery.model.ExpeditionInfoLoadUnload
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext


class DatabaseViewModel(val context: Context) : BaseViewModel(context) {


    private val db = DeliveryDatabase.getInstance(context)
    val expediciones = MutableLiveData<List<ExpeditionInfoLoadUnload>>()

    fun cargarExpediciones() {
        viewModelScope.launch {
            val expedicionesList = withContext(Dispatchers.IO) {
                db.expedicionDao().getAll(123)
            }
            expediciones.postValue(expedicionesList)

        }
    }
}





